curl https://api.onepay.la/v1/customers/login/verify \
-X POST \
-H "Authorization: Bearer sk_test_xxx" \
-H "Content-Type: application/json" \
-d '{
"phone": "+573001234567",
"otp": "482916"
}'
{
"token": "12|a1b2c3d4e5f6g7h8i9j0...",
"expires_at": "2026-03-23T17:30:00+00:00",
"customer": {
"id": "9dd4158b-0e45-42bc-b56f-a4c1f856814d",
"first_name": "María",
"last_name": "López",
"phone": "+573001234567",
"email": "maria@ejemplo.com"
}
}
Verifica el código OTP y retorna un token de sesión para el cliente.
curl https://api.onepay.la/v1/customers/login/verify \
-X POST \
-H "Authorization: Bearer sk_test_xxx" \
-H "Content-Type: application/json" \
-d '{
"phone": "+573001234567",
"otp": "482916"
}'
{
"token": "12|a1b2c3d4e5f6g7h8i9j0...",
"expires_at": "2026-03-23T17:30:00+00:00",
"customer": {
"id": "9dd4158b-0e45-42bc-b56f-a4c1f856814d",
"first_name": "María",
"last_name": "López",
"phone": "+573001234567",
"email": "maria@ejemplo.com"
}
}
CustomerBanned).X-Customer-Token en los endpoints de sesión.curl https://api.onepay.la/v1/customers/login/verify \
-X POST \
-H "Authorization: Bearer sk_test_xxx" \
-H "Content-Type: application/json" \
-d '{
"phone": "+573001234567",
"otp": "482916"
}'
{
"token": "12|a1b2c3d4e5f6g7h8i9j0...",
"expires_at": "2026-03-23T17:30:00+00:00",
"customer": {
"id": "9dd4158b-0e45-42bc-b56f-a4c1f856814d",
"first_name": "María",
"last_name": "López",
"phone": "+573001234567",
"email": "maria@ejemplo.com"
}
}
Was this page helpful?